gnutls_alpn_set_protocols(3)

NAME
gnutls_alpn_set_protocols - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_alpn_set_protocols(gnutls_session_t session, const gnutls_datum_t * protocols, unsigned protocols_size, unsigned int flags);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

const gnutls_datum_t * protocols
    is the protocol names to add.

unsigned protocols_size
    the number of protocols to add.

unsigned int flags
    zero or GNUTLS_ALPN_*

DESCRIPTION
This function is to be used by both clients and servers, to declare the supported ALPN protocols, which are used during negotiation with peer. If GNUTLS_ALPN_MAND is specified the connection will be aborted if no matching ALPN protocol is found.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned. Since 3.2.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/